API

Restart user fiscalization onboarding

Archives the current Invopop connection and starts a new onboarding when the individual issuer Tax ID changes.

POST/v1/hq/fiscalizations/users/{user_id}/onboarding/restart

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

user_id*string
Example"user123"

Request Body

application/json

data?|

Response Body

application/json

curl -X POST "https://api.noona.is/v1/hq/fiscalizations/users/user123/onboarding/restart" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "provider": "SaltPay",
    "saltpay_company": "7awdXwZoedakjad37a",
    "saltpay_store": "7awdXwZoedakjad37a",
    "fiscal_code": "1234567890",
    "tax_credentials_username": "username",
    "tax_credentials_password": "password",
    "series": [
      "string"
    ]
  }
}
Empty
Empty
Empty
Empty
Empty